Draft Disegno

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Drawing and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Clone.svg Clone Pagina precedente:
Pagina successiva: Simmetria Draft Mirror.svg Arrow-right.svg


Lo sviluppo del modulo Drawing è stato interrotto in FreeCAD 0.16 con il proposito di sostituirlo con il nuovo modulo TechDraw che è stato introdotto nella versione 0.17. Nella versione 0.17 sono presenti entrambi i moduli, ma il modulo Drawing potrebbe essere rimosso nelle versioni future.


Draft Drawing.svg Disegno

Posizione nel menu
Draft → Disegno
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
TechDraw, Vista 2D


Descrizione

Lo strumento Disegno consente di posizionare oggetti selezionati su un foglio di disegno creato con Drawing. Se nel documento non esiste nessun foglio, ne viene creato uno predefinito.

Questo strumento funziona in modo simile allo strumento Vista di Drawing ma è ottimizzato per gli oggetti Draft e può riempire una faccia degli oggetti 2D con. Può gestire oggetti specifici come Dimensioni e Testi, che lo strumento Vista di Drawing non è in grado di gestire.

Draft drawing example.jpg

Oggetto Draft e dimensioni importati in una pagina di disegno


Utilizzo

  1. Selezionare gli oggetti che si desidera mettere su un foglio da disegno.
  2. Nella stessa selezione, aggiungere l'oggetto pagina di Drawing in cui si desidera disegnare la proiezione degli oggetti.
  3. Premere il pulsante Draft Drawing.png Disegno.

Note:

  • Lo strumento funziona meglio con oggetti 2D di Draft o Sketcher.
  • L'oggetto selezionato può anche essere un Piano di sezione di Arch, che mostra gli elementi visti da quel piano.
  • Se non c'è una pagina esistente, ne viene creata una nuova.
  • Se non è stata selezionata alcuna pagina ma nel documento ce ne è almeno una, per inserire le proiezioni viene utilizzata la prima pagina trovata.
  • Se si seleziona un foglio e gli oggetti già proiettati su quel foglio, le proiezioni vengono aggiornate.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Proprietà

  • DATAFill Style: specifica lo stile di riempimento "concrete", "square", "simple", "wood", "line", "cross", "woodgrain", o "shape color". Questa proprietà funziona solo per le forme chiuse.
  • DATAFont Size: specifica la dimensione del carattere di testi e dimensioni.
  • DATALine Width: specifica la larghezza della linea degli oggetti visualizzati in millimetri.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Disegno può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Crea una DrawingView dal obj nella page specificata.
  • Se dato, lwmod modifica lo spessore delle linee in percentuale e tmod modifica l'altezza del testo in percentuale.

Di solito è necessario modificare gli attributi della vista in modo che vengano visualizzati correttamente nella pagina di disegno. In particolare, la posizione è controllata da X e Y, che sono espressi in millimetri, e Scale è importante per adattare correttamente la forma proiettata nella pagina. La scala di solito varia da 1 a 0,25 (da 1:1 a 1:4) per piccoli solidi, e da 0,02 a 0,01 (da 1:50 a 1:100) per elementi architettonici tipici.

Esempio:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft Clone.svg Clone Pagina precedente:
Pagina successiva: Simmetria Draft Mirror.svg Arrow-right.svg